# pcre2_set_glob_escape man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.

## SYNOPSIS

#include <pcre2.h>

int pcre2_set_glob_escape(pcre2_convert_context *cvcontext, uint32_t escape_char);

## DESCRIPTION

This function is part of an experimental set of pattern conversion functions. It sets the escape character that is used when converting globs. The second argument must either be zero (meaning there is no escape character) or a punctuation character whose code point is less than 256. The default is grave accent if running under Windows, otherwise backslash. The result of the function is zero for success or PCRE2_ERROR_BADDATA if the second argument is invalid.

The pattern conversion functions are described in the pcre2convert documentation.

Return to the PCRE2 index page.